OpenVDB: Sampler< 1, false > Struct Reference

OpenVDB 10.0.1

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Sampler< 1, false > Struct Reference

`#include <openvdb/tools/Interpolation.h>`

Inheritance diagram for Sampler< 1, false >:

## Static Public Member Functions
static const char * | name ()
static int | radius ()
static bool | mipmap ()
static bool | consistent ()
static bool | staggered ()
static size_t | order ()
template<class TreeT >
static bool | sample (const TreeT &inTree, const Vec3R &inCoord, typename TreeT::ValueType &result)
| Trilinearly reconstruct inTree at inCoord and store the result in result.
template<class TreeT >
static TreeT::ValueType | sample (const TreeT &inTree, const Vec3R &inCoord)
| Trilinearly reconstruct inTree at inCoord.
template<class ValueT , class TreeT , size_t N>
static void | getValues (ValueT(&data)[N][N][N], const TreeT &inTree, Coord ijk)
| Import all eight values from inTree to support tri-linear interpolation.
template<class ValueT , class TreeT , size_t N>
static bool | probeValues (ValueT(&data)[N][N][N], const TreeT &inTree, Coord ijk)
| Import all eight values from inTree to support tri-linear interpolation.
template<class ValueT , size_t N>
static void | extrema (ValueT(&data)[N][N][N], ValueT &vMin, ValueT &vMax)
| Find the minimum and maximum values of the eight cell values in @ data.
template<class ValueT , size_t N>
static ValueT | trilinearInterpolation (ValueT(&data)[N][N][N], const Vec3R &uvw)

## Member Function Documentation

## ◆ consistent()

static bool consistent | ( |  | ) |
| inlinestaticinherited

## ◆ extrema()

template<class ValueT , size_t N>

void extrema | ( | ValueT(&) | data[N][N][N],
|  | ValueT & | vMin,
|  | ValueT & | vMax
| ) |  |
| inlinestaticinherited

Find the minimum and maximum values of the eight cell values in @ data.

## ◆ getValues()

template<class ValueT , class TreeT , size_t N>

void getValues | ( | ValueT(&) | data[N][N][N],
|  | const TreeT & | inTree,
|  | Coord | ijk
| ) |  |
| inlinestaticinherited

Import all eight values from inTree to support tri-linear interpolation.

## ◆ mipmap()

static bool mipmap | ( |  | ) |
| inlinestaticinherited

## ◆ name()

static const char * name | ( |  | ) |
| inlinestaticinherited

## ◆ order()

static size_t order | ( |  | ) |
| inlinestaticinherited

## ◆ probeValues()

template<class ValueT , class TreeT , size_t N>

bool probeValues | ( | ValueT(&) | data[N][N][N],
|  | const TreeT & | inTree,
|  | Coord | ijk
| ) |  |
| inlinestaticinherited

Import all eight values from inTree to support tri-linear interpolation.

Returns
  `true` if any of the eight values are active

## ◆ radius()

static int radius | ( |  | ) |
| inlinestaticinherited

## ◆ sample() [1/2]

template<class TreeT >

TreeT::ValueType sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord
| ) |  |
| inlinestaticinherited

Trilinearly reconstruct inTree at inCoord.

Returns
  the reconstructed value

## ◆ sample() [2/2]

template<class TreeT >

bool sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord,
|  | typename TreeT::ValueType & | result
| ) |  |
| inlinestaticinherited

Trilinearly reconstruct inTree at inCoord and store the result in result.

Returns
  `true` if any one of the sampled values is active.

## ◆ staggered()

static bool staggered | ( |  | ) |
| inlinestaticinherited

## ◆ trilinearInterpolation()

template<class ValueT , size_t N>

ValueT trilinearInterpolation | ( | ValueT(&) | data[N][N][N],
|  | const Vec3R & | uvw
| ) |  |
| inlinestaticinherited

Returns
  the tri-linear interpolation with the unit cell coordinates uvw